'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  application_name: 'MightySpace Core',
  application_host: 'localhost',
  api_port: 3458,
  connect_port: 3459,
  data_space: 'mightyspace-core',
  version: '1.0.0',
  dependencies: {
    // name: 'x.x.x'
  },
  defaults: {
    // values to set for defaults in the app
  },
  /*
  database: {
    type: 'mongo',
    url: 'mongodb://localhost/'
  },
  */
  database: {
    type: 'nedb',
    url: 'nedb://memory'
  },
  connection: {
    type: 'hub' // or 'spoke'
  },
  /*
  connection: {
    type: 'spoke',
    hub_host: 'mightyspace.com:4459'
  }
  */
  module_folder: __dirname + '/modules'
};